Ocena wątku:
  • 0 głosów - średnia: 0
  • 1
  • 2
  • 3
  • 4
  • 5
Wine instalacja
#1
0
Witam Smile potrzebuje pomocy Smile od niedawna mam linuxa mint najnowszą wersje i się przekonuje do niego Smile chciałbym zainstalować wine 4.8 a nie wiem jak to zrobić https://dl.winehq.org/wine/source/4.x/wine-4.8.tar.xz pobrałem i rozpakowałem na pulpicie a dalej nie wiem co robić Bardzo Proszę o pomoc.
Odpowiedz
#2
0
1. Nie podpinamy się pod cudze wątki.
2. Zanim zadasz pytanie użyj wyszukiwarki https://wiki.winehq.org/Ubuntu
Odpowiedz
#3
0
Witam mam aktualnie zainstalowanego wine 4.0 a chciałbym zainstalować 4.8 próbowałem to zrobić ze strony https://wiki.winehq.org/Ubuntu ale nie udaje mi się Sad przesyłam log z terminala  Bardzo Proszę o pomoc Sad

Kod:
[email protected]:~$  sudo dpkg --add-architecture amd64
[sudo] hasło użytkownika janusz:     
[email protected]:~$  wget -nc https://dl.winehq.org/wine-builds/winehq.key
Plik `winehq.key' już istnieje, bez pobierania.

Kod:
[email protected]:~$ sudo apt-key dodaj winehq.key
Usage: apt-key [--keyring file] [command] [arguments]

Manage apt's list of trusted keys

  apt-key add <file>          - add the key contained in <file> ('-' for stdin)
  apt-key del <keyid>         - remove the key <keyid>
  apt-key export <keyid>      - output the key <keyid>
  apt-key exportall           - output all trusted keys
  apt-key update              - update keys using the keyring package
  apt-key net-update          - update keys using the network
  apt-key list                - list keys
  apt-key finger              - list fingerprints
  apt-key adv                 - pass advanced options to gpg (download key)

If no specific keyring file is given the command applies to all keyring files.
Kod:
[email protected]:~$ sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'
[email protected]:~$   sudo apt update
E: Nieprawidłowa linia 3 w liście źródeł /etc/apt/sources.list.d/additional-repositories.list (typ)
E: Nie udało się odczytać list źródeł.
Kod:
[email protected]:~$   sudo apt-key update
Warning: 'apt-key update' is deprecated and should not be used anymore!
gpg: key 3B4FE6ACC0B21F32: 3 signatures not checked due to missing keys
gpg: klucz 3B4FE6ACC0B21F32: ,,Ubuntu Archive Automatic Signing Key (2012) <[email protected]>'' bez zmian
gpg: key D94AA3F0EFE21092: 3 signatures not checked due to missing keys
gpg: klucz D94AA3F0EFE21092: ,,Ubuntu CD Image Automatic Signing Key (2012) <[email protected]>'' bez zmian
gpg: key 871920D1991BC93C: 1 signature not checked due to a missing key
gpg: klucz 871920D1991BC93C: ,,Ubuntu Archive Automatic Signing Key (2018) <[email protected]>'' bez zmian
gpg: Ogółem przetworzonych kluczy: 3
gpg:              bez zmian: 3
Kod:
[email protected]:~$  sudo apt install --install-recommends winehq-devel
E: Nieprawidłowa linia 3 w liście źródeł /etc/apt/sources.list.d/additional-repositories.list (typ)
E: Nie udało się odczytać list źródeł.
E: Nieprawidłowa linia 3 w liście źródeł /etc/apt/sources.list.d/additional-repositories.list (typ)
E: Nie udało się odczytać list źródeł.
[email protected]:~$
Odpowiedz
#4
0
Scaliłem.
Już wydziełem wcześniej do osobnego wątku, niepotrzebnie założyłeś nowy na ten sam temat.
Stosuj znaczniki kodu.

Co do błędów to masz je:
1. Przy dodawaniu klucza sudo apt-key dodaj add winehq.key
2. Masz jakiś błąd w pliku: E: Nieprawidłowa linia 3 w liście źródeł /etc/apt/sources.list.d/additional-repositories.list (typ), pokaż zawartość tego pliku.
Odpowiedz
#5
0
Dobrze ok jestem tu nowy dopiero się zapoznaje z forum Smile może ktoś mi pomoże będę wdzięczny Smile

No tak ale jak mam to naprawić żeby wersje 4.8 zainstalować ?
Odpowiedz
#6
0
Janusz, podpowiedź Smile
Jeśli kopiujesz komendy, wyłącz tłumaczenie strony. Na przetłumaczonej stronie, czasem takie właśnie kwiatki wyskakują.
Odpowiedz
#7
0
(14-05-2019, 11:48)Januszbb napisał(a): No tak ale jak mam to naprawić żeby wersje 4.8 zainstalować ?

Najpierw popraw wskazane błędy.
Odpowiedz
#8
0
- > STOSUJ ZNACZNIKI KODU ! <-
Kod:
[email protected]:~$ sudo dpkg --add-architecture i386
[sudo] hasło użytkownika janusz:     
[email protected]:~$ wget -nc https://dl.winehq.org/wine-builds/winehq.key
Plik `winehq.key' już istnieje, bez pobierania.
Kod:
[email protected]:~$ sudo apt-key add winehq.key
OK
[email protected]:~$ sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'
Repozytorium już istnieje.
[email protected]:~$ sudo apt update
Stary:1 http://ubuntu.man.lodz.pl/ubuntu bionic InRelease
Ign.:2 http://ftp.icm.edu.pl/pub/Linux/dist/linuxmint/packages tessa InRelease
Stary:3 http://ubuntu.man.lodz.pl/ubuntu bionic-updates InRelease              
Stary:4 http://ubuntu.man.lodz.pl/ubuntu bionic-backports InRelease            
Stary:5 http://ftp.icm.edu.pl/pub/Linux/dist/linuxmint/packages tessa Release  
Stary:6 http://archive.canonical.com/ubuntu bionic InRelease                   
Stary:7 http://security.ubuntu.com/ubuntu bionic-security InRelease            
Ign.:8 http://dl.google.com/linux/chrome/deb stable InRelease                  
Stary:9 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease
Stary:10 http://dl.google.com/linux/chrome/deb stable Release
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
9 packages can be upgraded. Run 'apt list --upgradable' to see them.
[email protected]:~$ sudo apt install --install-recommends winehq-devel
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Nie udało się zainstalować niektórych pakietów. Może to oznaczać,
że zażądano niemożliwej sytuacji lub użyto dystrybucji niestabilnej,
w której niektóre pakiety nie zostały jeszcze utworzone lub przeniesione
z katalogu Incoming ("Przychodzące").
Następujące informacje mogą pomóc rozwiązać sytuację:

Następujące pakiety mają niespełnione zależności:
 winehq-devel : Wymaga: wine-devel (= 4.8~bionic)
E: Nie udało się naprawić problemów, zatrzymano uszkodzone pakiety.
[email protected]:~$
Nie dałem tłumaczenia i wyskakuje bląd dalej Sad   i nie wiem jak dać żeby było to jako kod z terminala Sad

winehq-devel : Wymaga: wine-devel (= 4.8~bionic) a tego się nie da zainstalować w synaptic menadzer pakietów Sad pisze że jest uszkodzony pakiet
Odpowiedz
#9
0
Spróbuj apt update && apt --fix-broken install
Odpowiedz
#10
0
(15-05-2019, 07:06)dedito napisał(a): Spróbuj apt update && apt --fix-broken install
Ok i jak  wpisze tylko to w terminalu to zainstaluje wersje 4.8 ? a jak się wogule daje znaczniki kodu poprosze o jakiś poradnik bo jestem zielony Smile

Bo ja już trace nadzieje że zainstaluje wine 4.8 i zostane przy 4.0

(15-05-2019, 13:07)Januszbb napisał(a):
(15-05-2019, 07:06)dedito napisał(a): Spróbuj apt update && apt --fix-broken install
Ok i jak  wpisze tylko to w terminalu to zainstaluje wersje 4.8 ? a jak się wogule daje znaczniki kodu poprosze o jakiś poradnik bo jestem zielony Smile

Bo ja już trace nadzieje że zainstaluje wine 4.8 i zostane przy 4.0

Chciałem wersje 4.8 zainstalować bo chciałem zagrac w gre colin mcrae really 2 a już komuś ta gra szła na 4.5 widziałem na youtube a na wersji 4.0 nie idzie grac gra sie uruchamia ale jak już włącze jakiś etap nie widac ani samochodu kompletnie nic.
Odpowiedz


Skocz do:




Użytkownicy przeglądający ten wątek: 1 gości